{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "nicothekid:dire_bat",
      "textures": {
        "default": "textures/entity/nicos_mobs/dire_bat/nicothekid_dire_bat"
      },
      "spawn_egg": {
        "base_color": "#5A564F",
        "overlay_color": "#811200"
      },
      "geometry": {
        "default": "geometry.entity.nicothekid_dire_bat"
      },
      "materials": {
        "default": "dire_bat",
        "invisible": "dire_bat_invisible" 
      },
      "render_controllers": [
        "controller.render.nicothekid_dire_bat"
      ],
      "animations": {
        "flying": "animation.nicothekid_dire_bat.flying",
        "look_at_target": "animation.nicothekid_dire_bat.look_at_target",
        "resting": "animation.nicothekid_dire_bat.resting",
        "controller_movement": "controller.animation.nicothekid_dire_bat.movement"
      },
      "scripts": {
        "animate": [
          "look_at_target",
          "controller_movement"
        ]
      }
    }
  }
}
